Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverted

From: Mark Karpov <[email-masked]>
Date: Thu, 09 Jul 2015 21:40:12 +0600

No, at the end of inserting function should be the following:

(when auto-revert-mode
  (auto-revert-handler))

That's it. This will also check if user wants to autorevert non-file
buffers (according to ‘global-auto-revert-non-file-buffers’) and all the
stuff. Since such functions edit directory, buffer will be recognized as
stale and this will revert it. This is simple, even elegant, I
think. This is how I would do it.